<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/simplemodal.css" type="text/css">
<link rel="stylesheet" href="../style/common.css" type="text/css">
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/card_common.js"></script>
<script type="text/javascript" src="js/gbe_out_config.js"></script>
<script type="text/javascript">
var language = CHINESE;
var webPageName = GBE_OUT_CONFIG;
</script>
<style type="text/css">
.button_area_width
{
	width: 468px;
}
</style>
</head>
<body>
<div class="tab">
  <ul>
    <li id="receiveMenu" class="first_no_selected" onclick="pageJump(GBE_IN_CONFIG);">接收</li>
    <li id="transmitMenu" class="middle_selected" onclick="pageJump(GBE_OUT_CONFIG);">发送</li>
    <li id="arpMenu" class="selected_follow" onclick="pageJump(GBE_ARP_MONITOR);">ARP</li>
    <li id="backupMenu" class="middle_no_selected" onclick="pageJump(GBE_PORT_BACKUP);">备份</li>
    <li id="monitorMenu" class="middle_no_selected" onclick="pageJump(MONITOR);">监测</li>
    <li class="last_no_selected"></li>
  </ul>
</div>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <input type="button" id="basic" value="基本" class="table_header_select" onclick="tableChange(BASIC);" />
      <input type="button" id="ip" value="IP包" class="table_header_normal" onclick="tableChange(IP_PKT);" />
      <input type="button" id="backup" value="端口备份" class="table_header_normal" onclick="tableChange(TAB_PORT_BACKUP);" style="display: none;" />
      <input type="button" id="vlan" value="VLAN" class="table_header_normal" onclick="tableChange(TAB_VLAN)" />
      <div style="clear:both;"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="添 加" class="input_normal" onclick="addPort();"/>
        <input type="button" id="deleteBtn" value="删 除" class="input_normal" onclick="deletePort();"/>
        <input type="button" id="deleteAllBtn" value="删除全部" class="input_normal" onclick="deleteAll()"/>
        <input type="button" id="modifyBtn" value="批量修改" class="input_normal" onclick="modifyPort()"/>
        <input type="button" id="applyBtn" value="应 用" class="input_normal" onclick="pageApply();"/>
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);"/>
      </div>
    </div>
    <table id="basicTable">
      <tr>
        <th width="20px;">
          <input type="checkbox" id="basicCheckAll" onclick="checkAll();" />
        </th>
        <th style="width: 40px;">端口</th>
        <th width="12%">名称</th>
        <th style="width: 108px;">目的IP地址</th>
        <th width="10%">目的UDP端口</th>
        <th style="width: 108px;">源IP地址</th>
        <th>码率模式</th>
        <th style="width: 90px;">系统码率(bps)</th>
        <th>协议</th>
        <th>告警</th>
        <th>输出开关</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="basicDataRow0" class="basicCaseRow">
        <td>
          <input type="checkbox" id="basicCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="basicPort0"></span></td>
        <td>
          <input type="text" id="name0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="ip0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="port0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="sourceIp0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <select id="rateMode0" onchange="changeCellValue($(this));changeRateStatus($(this));">
            <option value="0" selected="selected">CBR</option>
            <option value="1">VBR</option>
          </select>
        </td>
        <td>
          <input type="text" id="sysRate0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <select id="protocol0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">UDP</option>
            <option value="1">RTP</option>
          </select>
        </td>
        <td>
          <select id="alarmSwitch0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td>
          <select id="outputSwitch0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
      </tr>
    </table>
    <table id="ipTable" style="display:none;">
      <tr>
        <th width="10%">
          <input type="checkbox" id="ipCheckAll" onclick="checkAll();" />
        </th>
        <th width="10%">端口</th>
        <th width="20%">包格式</th>
        <th width="20%">生存时间</th>
        <th width="20%">服务类型</th>
        <th width="20%">TS包个数</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="ipDataRow0" class="ipCaseRow">
        <td>
          <input type="checkbox" id="ipCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="ipPort0"></span></td>
        <td>
          <select id="pktFormat0" onchange="changeCellValue($(this));">
            <option value="0">188</option>
            <option value="1" selected="selected">204</option>
          </select>
        </td>
        <td>
          <input type="text" id="TTL0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <select id="TOS0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">一般服务</option>
            <option value="2">最小费用</option>
            <option value="4">最高可靠性</option>
            <option value="8">最大吞吐量</option>
            <option value="16">最小延时</option>
          </select>
        </td>
        <td>
          <select id="pktNum0" onchange="changeCellValue($(this));">
            <option value="1" selected="selected">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
            <option value="5">5</option>
            <option value="6">6</option>
            <option value="7">7</option>
          </select>
        </td>
      </tr>
    </table>
    <table id="backupTable" style="display:none;">
      <tr>
        <th width="10%">
          <input type="checkbox" id="backupCheckAll" onclick="checkAll();" />
        </th>
        <th width="10%">端口</th>
        <th width="10%">备份组号</th>
        <th width="35%">最小码率阈值(bps)</th>
        <th width="35%">最大码率阈值(bps)</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="backupDataRow0" class="backupCaseRow">
        <td>
          <input type="checkbox" id="backupCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="backupPort0"></span></td>
        <td>
          <select id="group0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">1</option>
            <option value="1">2</option>
            <option value="2">3</option>
            <option value="3">4</option>
            <option value="4">5</option>
            <option value="5">6</option>
            <option value="6">7</option>
            <option value="7">8</option>
          </select>
        </td>
        <td>
          <input type="text" id="minRate0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="maxRate0" onchange="changeCellValue($(this));" />
        </td>
      </tr>
    </table>
    <table id="vlanTable" style="display:none;">
      <tr>
        <th width="10%">
          <input type="checkbox" id="vlanCheckAll" onclick="checkAll();" />
        </th>
        <th width="10%">端口</th>
        <th width="25%">VLAN</th>
        <th width="25%">优先级</th>
        <th width="25%">VLAN ID</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="vlanDataRow0" class="vlanCaseRow">
        <td>
          <input type="checkbox" id="vlanCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="vlanPort0"></span></td>
        <td>
          <select id="vlanSwitch0" onchange="changeCellValue($(this));changeVlanParamStatus($(this));">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td>
          <select id="vlanPriority0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">0</option>
            <option value="1">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
            <option value="5">5</option>
            <option value="6">6</option>
            <option value="7">7</option>
          </select>
        </td>
        <td>
          <input type="text" id="vlanId0" onchange="changeCellValue($(this));" />
        </td>
      </tr>
    </table>
  </div>
  <div id="addPort" class="content_div_small" style="display:none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">添加</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="40%">添加端口个数</th>
        <td class="header">
          <input type="text" id="addPortNum" value="1" />
        </td>
      </tr>
      <tr>
        <th>目的IP地址</th>
        <td>
          <input type="text" id="addIpStart" value="192.165.52.100" />
        </td>
      </tr>
      <tr>
        <th>IP步进值</th>
        <td>
          <input type="text" id="addIpStep" value="0" />
        </td>
      </tr>
      <tr>
        <th>目的UDP端口起始值</th>
        <td>
          <input type="text" id="addPortStart" value="1234" />
        </td>
      </tr>
      <tr>
        <th>目的UDP端口步进值</th>
        <td>
          <input type="text" id="addPortStep" value="1" />
        </td>
      </tr>
      <tr>
        <th>源IP地址</th>
        <td>
          <input type="text" id="addSourceIp" />
        </td>
      </tr>
      <tr>
        <th>源IP地址步进值</th>
        <td>
          <input type="text" id="addSourceIpStep" value="0" />
        </td>
      </tr>
      <tr>
        <th>码率模式</th>
        <td>
          <select id="addRateMode">
            <option value="0" selected="selected">CBR</option>
            <option value="1">VBR</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>系统码率(bps)</th>
        <td >
          <input type="text" id="addSysRate" value="0" />
        </td>
      </tr>
      <tr>
        <th>协议</th>
        <td>
          <select id="addProtocol">
            <option value="0" selected="selected">UDP</option>
            <option value="1">RTP</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>告警</th>
        <td>
          <select id="addAlarmSwitch">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>输出开关</th>
        <td>
          <select id="addOutputSwitch">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="addPortBtn" value="应 用" class="input_normal" onclick="addPortApply();" />
      <input type="button" id="cancelAddPortBtn" value="取 消" class="input_normal" onclick="cancelAdd();"/>
    </div>
    <div style="clear: both;"></div>
  </div>
  <div id="modifyPort" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">批量修改</div>
      <div class="table_tab_right"></div>
    </div>
    <table id="basicModifyTable">
      <tr>
        <th width="40%">目的IP地址</th>
        <td width="50%" class="header">
          <input type="text" id="modifyIpStart" value="192.165.52.100" />
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyIpCheck" />
        </td>
      </tr>
      <tr>
        <th>IP步进值</th>
        <td>
          <input type="text" id="modifyIpStep" value="0" />
        </td>
        <td></td>
      </tr>
      <tr>
        <th>目的UDP端口起始值</th>
        <td>
          <input type="text" id="modifyUdpPort" value="1234" />
        </td>
        <td>
          <input type="checkbox" id="modifyPortCheck" />
        </td>
      </tr>
      <tr>
        <th>目的UDP端口步进值</th>
        <td>
          <input type="text" id="modifyPortStep" value="0" />
        </td>
        <td></td>
      </tr>
      <tr>
        <th>源IP地址</th>
        <td>
          <input type="text" id="modifySourceIp" />
        </td>
        <td rowspan="2">
          <input type="checkbox" id="modifySourceIpCheck" />
        </td>
      </tr>
      <tr>
        <th>源IP地址步进值</th>
        <td>
          <input type="text" id="modifySourceIpStep" value="0" />
        </td>
        <td></td>
      </tr>
      <tr id="modifyRateModeTr">
        <th>码率模式</th>
        <td>
          <select id="modifyRateMode">
            <option value="0" selected="selected">CBR</option>
            <option value="1">VBR</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyRateModeCheck" />
        </td>
      </tr>
      <tr id="modifySysRateTr">
        <th>系统码率(bps)</th>
        <td>
          <input type="text" id="modifySysRate" value="0" />
        </td>
        <td>
          <input type="checkbox" id="modifySysRateCheck" />
        </td>
      </tr>
      <tr id="modifyProtocolTr">
        <th>协议</th>
        <td>
          <select id="modifyProtocol">
            <option value="0" selected="selected">UDP</option>
            <option value="1">RTP</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyProtocolCheck" />
        </td>
      </tr>
      <tr>
        <th>告警</th>
        <td>
          <select id="modifyAlarmSwitch">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyAlarmSwitchCheck" />
        </td>
      </tr>
      <tr>
        <th>输出开关</th>
        <td>
          <select id="modifyOutputSwitch">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyOutputSwitchCheck" />
        </td>
      </tr>
    </table>
    <table id="ipModifyTable" style="display:none;">
      <tr>
        <th width="40%">包格式</th>
        <td width="50%" class="header">
          <select id="modifyPktFormat">
            <option value="0" selected="selected">188</option>
            <option value="1">204</option>
          </select>
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyPktFormatCheck" />
        </td>
      </tr>
      <tr>
        <th>生存时间</th>
        <td>
          <input type="text" id="modifyTTL" value="255" />
        </td>
        <td>
          <input type="checkbox" id="modifyTTLCheck" />
        </td>
      </tr>
      <tr>
        <th>服务类型</th>
        <td>
          <select id="modifyTOS">
            <option value="0" selected="selected">一般服务</option>
            <option value="2">最小费用</option>
            <option value="4">最高可靠性</option>
            <option value="8">最大吞吐量</option>
            <option value="16">最小延时</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyTOSCheck" />
        </td>
      </tr>
      <tr>
        <th>TS包个数</th>
        <td>
          <select id="modifyPktNum" onchange="changeCellValue($(this));">
            <option value="1" selected="selected">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
            <option value="5">5</option>
            <option value="6">6</option>
            <option value="7">7</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyPktNumCheck" />
        </td>
      </tr>
    </table>
    <table id="backupModifyTable" style="display: none;">
      <tr>
        <th width="40%">备份组号</th>
        <td width="50%" class="header">
          <select id="modifyGroup">
            <option value="0" selected="selected">1</option>
            <option value="1">2</option>
            <option value="2">3</option>
            <option value="3">4</option>
            <option value="4">5</option>
            <option value="5">6</option>
            <option value="6">7</option>
            <option value="7">8</option>
          </select>
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyGroupCheck" />
        </td>
      </tr>
      <tr>
        <th>最小码率阈值(bps)</th>
        <td>
          <input type="text" id="modifyMinRate" value="0" />
        </td>
        <td>
          <input type="checkbox" id="modifyMinRateCheck" />
        </td>
      </tr>
      <tr>
        <th>最大码率阈值(bps)</th>
        <td>
          <input type="text" id="modifyMaxRate" value="0" />
        </td>
        <td>
          <input type="checkbox" id="modifyMaxRateCheck" />
        </td>
      </tr>
    </table>
    <table id="vlanModifyTable" style="display:none;">
      <tr>
        <th width="40%">VLAN</th>
        <td width="50%" class="header">
          <select id="modifyVlanSwitch">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyVlanSwitchCheck" />
        </td>
      </tr>
      <tr>
        <th>优先级</th>
        <td>
          <select id="modifyPriority">
            <option value="0" selected="selected">0</option>
            <option value="1">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
            <option value="5">5</option>
            <option value="6">6</option>
            <option value="7">7</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyPriorityCheck" />
        </td>
      </tr>
      <tr>
        <th>VLAN ID</th>
        <td>
          <input type="text" id="modifyVlanId" value="1" />
        </td>
        <td>
          <input type="checkbox" id="modifyVlanIdCheck" />
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="modifyPortBtn" value="应用" class="input_normal" onclick="modifyPortApply();" />
      <input type="button" id="cancelModifyPortBtn" value="取消" class="input_normal" onclick="cancelModify();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
