<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/common.css" type="text/css">
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../system/js/system_common.js"></script>
<script type="text/javascript" src="js/custom_program.js"></script>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
table select
{
	width: 180px;
}
table input[type=text]
{
	width: 178px;
}
.button_area_width
{
	width: 78px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_small">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab" id="tabTitle"></div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div class="div_table_button_area button_area_width">
        <input type="button" id="applyBtn" value="Apply" class="input_normal" onclick ="pageApply();" />
      </div>
    </div>
    <table id="dvbTable" style="display: none">
      <tr>
        <th width="240px">Service ID</th>
        <td class="header">
          <input type="text" id="dvbServiceId" />
        </td>
      </tr>
      <tr>
        <th>Service Name</th>
        <td>
          <input type="text" id="dvbServiceName" />
        </td>
      </tr>
      <tr>
        <th>Service Provider</th>
        <td>
          <input type="text" id="serviceProvider" />
        </td>
      </tr>
      <tr>
        <th>PMT PID</th>
        <td>
          <input type="text" id="dvbPmtPid" />
        </td>
      </tr>
      <tr>
        <th>PCR PID</th>
        <td>
          <input type="text" id="dvbPcrPid" />
        </td>
      </tr>
      <tr>
        <th>Running Status</th>
        <td>
          <select id="runStatus">
            <option value="0">Undefined</option>
            <option value="1">Not Running</option>
            <option value="2">Begin after several seconds</option>
            <option value="3">Pause</option>
            <option value="4" selected="selected">Run</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>Service Type</th>
        <td>
          <select id="dvbServiceType" onchange="changeServiceType($(this));">
            <option value="1" selected="selected">Digital Television</option>
            <option value="2">Digital Audio Broadcast</option>
            <option value="3">Teletext</option>
            <option value="4">NVOD Reference</option>
            <option value="5">NVOD Time-shifted</option>
            <option value="6">Mosaic Service</option>
            <option value="7">PAL Coding Signal</option>
            <option value="8">SECAM Coding Signal</option>
            <option value="9">D/D2-MAC</option>
            <option value="10">Frequency Modulation</option>
            <option value="11">NTSC Signal</option>
            <option value="12">Data Broadcasting</option>
            <option value="13">Common Interface</option>
            <option value="14">RCS Map</option>
            <option value="15">RCS FLS</option>
            <option value="16">DVB MHPService</option>
            <option value="17">Custom</option>
          </select>
        </td>
      </tr>
      <tr id="customTypeTr" style="display: none;">
        <th>Custom Type</th>
        <td>
          <input type="text" id="customType" />
        </td>
      </tr>
      <tr>
        <th>Encryption Status</th>
        <td>
          <select id="encryptStatus">
            <option value="0"  selected="selected">Not Scrambled</option>
            <option value="1">Scrambled</option>
          </select>
        </td>
      </tr>
    </table>
    <table id="atscTable" style="display: none">
      <tr>
        <th width="240px">Service ID</th>
        <td class="header">
          <input type="text" id="atscServiceId" />
        </td>
      </tr>
      <tr>
        <th>Service Name</th>
        <td>
          <input type="text" id="atscServiceName" />
        </td>
      </tr>
      <tr>
        <th>PMT PID</th>
        <td>
          <input type="text" id="atscPmtPid" />
        </td>
      </tr>
      <tr>
        <th>PCR PID</th>
        <td>
          <input type="text" id="atscPcrPid" />
        </td>
      </tr>
      <tr>
        <th>Channel TSID</th>
        <td>
          <input type="text" id="channelTsid" />
        </td>
      </tr>
      <tr>
        <th>Major Channel</th>
        <td>
          <input type="text" id="majorChannel" />
        </td>
      </tr>
      <tr>
        <th>Minor Channel</th>
        <td>
          <input type="text" id="minorChannel" />
        </td>
      </tr>
      <tr>
        <th>Service Source</th>
        <td>
          <input type="text" id="serviceSource" />
        </td>
      </tr>
      <tr>
        <th>Modulation Mode</th>
        <td>
          <select id="modulMode">
            <option value="1" selected="selected">Analog</option>
            <option value="2">SCTE_Mode_1</option>
            <option value="3">SCTE_Mode_2</option>
            <option value="4">ATSC(8 VSB)</option>
            <option value="5">ATSC(16 VSB)</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>Service Type</th>
        <td>
          <select id="atscServiceType">
            <option value="1" selected="selected">Analog_Television</option>
            <option value="2">ATSC_Digital_Television</option>
            <option value="3">ATSC_Audio</option>
            <option value="4">ATSC_Data_Only_Service</option>
          </select>
        </td>
      </tr>
    </table>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>