<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/common.css" type="text/css">
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/card_common.js"></script>
<script type="text/javascript" src="js/gbe_port_backup.js"></script>
<script type="text/javascript">
var language = CHINESE;
var webPageName = GBE_PORT_BACKUP;
</script>
</head>
<body>
<div class="tab">
  <ul>
    <li id="receiveMenu" class="first_no_selected" onclick="pageJump(GBE_IN_CONFIG);">接收</li>
    <li id="transmitMenu" class="middle_no_selected" onclick="pageJump(GBE_OUT_CONFIG);">发送</li>
    <li id="arpMenu" class="middle_no_selected" onclick="pageJump(GBE_ARP_MONITOR);">ARP</li>
    <li id="backupMenu" class="middle_selected" onclick="pageJump(GBE_PORT_BACKUP);">备份</li>
    <li id="monitorMenu" class="selected_follow" onclick="pageJump(MONITOR);">监测</li>
    <li class="last_no_selected"></li>
  </ul>
</div>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">备份</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area">
        <input type="button" id="applyBtn" value="应 用" class="input_normal" onclick="pageApply();" />
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="portBackup">
      <tr>
        <th width="10%">组</th>
        <th width="15%">工作模式</th>
        <th width="15%">备份模式</th>
        <th width="15%">备份IP地址</th>
        <th width="15%">备份UDP端口</th>
        <th width="15%">通信超时(ms)</th>
        <th width="15%">组间延时(ms)</th>
      </tr>
      <tr>
        <td class="special">1</td>
        <td>
          <select id="workMode1">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode1">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip1" />
        </td>
        <td>
          <input type="text" id="port1" />
        </td>
        <td>
          <input type="text" id="comTimeout1" />
        </td>
        <td>
          <input type="text" id="delayTime1" />
        </td>
      </tr>
      <tr>
        <td class="special">2</td>
        <td>
          <select id="workMode2">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode2">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip2" />
        </td>
        <td>
          <input type="text" id="port2" />
        </td>
        <td>
          <input type="text" id="comTimeout2" />
        </td>
        <td>
          <input type="text" id="delayTime2" />
        </td>
      </tr>
      <tr>
        <td class="special">3</td>
        <td>
          <select id="workMode3">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode3">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip3" />
        </td>
        <td>
          <input type="text" id="port3" />
        </td>
        <td>
          <input type="text" id="comTimeout3" />
        </td>
        <td>
          <input type="text" id="delayTime3" />
        </td>
      </tr>
      <tr>
        <td class="special">4</td>
        <td>
          <select id="workMode4">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode4">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip4" />
        </td>
        <td>
          <input type="text" id="port4" />
        </td>
        <td>
          <input type="text" id="comTimeout4" />
        </td>
        <td>
          <input type="text" id="delayTime4" />
        </td>
      </tr>
      <tr>
        <td class="special">5</td>
        <td>
          <select id="workMode5">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode5">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip5" />
        </td>
        <td>
          <input type="text" id="port5" />
        </td>
        <td>
          <input type="text" id="comTimeout5" />
        </td>
        <td>
          <input type="text" id="delayTime5" />
        </td>
      </tr>
      <tr>
        <td class="special">6</td>
        <td>
          <select id="workMode6">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode6">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip6" />
        </td>
        <td>
          <input type="text" id="port6" />
        </td>
        <td>
          <input type="text" id="comTimeout6" />
        </td>
        <td>
          <input type="text" id="delayTime6" />
        </td>
      </tr>
      <tr>
        <td class="special">7</td>
        <td>
          <select id="workMode7">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode7">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip7" />
        </td>
        <td>
          <input type="text" id="port7" />
        </td>
        <td>
          <input type="text" id="comTimeout7" />
        </td>
        <td>
          <input type="text" id="delayTime7" />
        </td>
      </tr>
      <tr>
        <td class="special">8</td>
        <td>
          <select id="workMode8">
            <option value="0" selected="selected">无备份</option>
            <option value="1">主设备</option>
            <option value="2">备设备</option>
          </select>
        </td>
        <td>
          <select id="backupMode8">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td>
          <input type="text" id="ip8" />
        </td>
        <td>
          <input type="text" id="port8" />
        </td>
        <td>
          <input type="text" id="comTimeout8" />
        </td>
        <td>
          <input type="text" id="delayTime8" />
        </td>
      </tr>
    </table>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
