<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js" ></script>
<script type="text/javascript" src="../system/js/system_common.js"></script>
<script type="text/javascript" src="js/program_detail.js"></script>
</head>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
table select
{
	width: 185px;
}
.fix_width input[type=text]
{
	width: 185px;
}
</style>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_small">
    <div class="table_tab_div" style="margin-top: 0px;">
      <div class="table_tab_left"></div>
      <div class="table_tab">PID List</div>
      <div class="table_tab_right"></div>
    </div>
    <table id="dataTable">
      <tr>
        <th>Source Card</th>
        <th>Source Port</th>
        <th>Source PID</th>
        <th>Current PID</th>
        <th>PID Type</th>
        <th style="width:90px;"><input type="checkbox" id="checkAll" />Low Priority</th>
      </tr>
    </table>
    <table style="display:none">
      <tr id="dataRow0" class="CaseRow">
        <td><span id="srcCard0"></span></td>
        <td><span id="srcPort0"></span></td>
        <td><span id="srcPid0"></span></td>
        <td>
          <input type="text" id="curPid0" onchange="checkPidValue($(this));" />
        </td>
        <td><span id="pidType0"></span></td>
        <td><input type="checkbox" id="lowPriority0" class="sub_checkbox" /></td>
      </tr>
    </table>
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Service Detail</div>
      <div class="table_tab_right"></div>
    </div>
    <table id="dvbInfo" class="fix_width" style="display: none;">
      <tr>
        <th width="240px">Service ID</th>
        <td class="header">
          <input type="text" id="dvbServiceId" onchange="changeServiceId();" />
        </td>
      </tr>
      <tr>
        <th>Service Name</th>
        <td>
          <input type="text" id="dvbServiceName" />
        </td>
      </tr>
      <tr>
        <th>Service Provider</th>
        <td>
          <input type="text" id="serviceProvider" />
        </td>
      </tr>
      <tr>
        <th>Character Encoding</th>
        <td>
          <select id="charCode">
            <option value="0" selected="selected">Default</option>
            <option value="1">ISO 8859-1</option>
            <option value="2">ISO 8859-2</option>
            <option value="3">ISO 8859-3</option>
            <option value="4">ISO 8859-4</option>
            <option value="5">ISO 8859-5(Cyrillic)</option>
            <option value="6">ISO 8859-6(Arabic)</option>
            <option value="7">ISO 8859-7(Greek)</option>
            <option value="8">ISO 8859-8(Hebrew)</option>
            <option value="9">ISO 8859-9</option>
            <option value="10">ISO 8859-10</option>
            <option value="11">ISO 8859-11</option>
            <option value="13">ISO 8859-13</option>
            <option value="14">ISO 8859-14(Celtic)</option>
            <option value="15">ISO 8859-15</option>
            <option value="16">ISO 10646(BMP)</option>
            <option value="17">KSX1001-2004(Korean)</option>
            <option value="18">GB-2312(Chinese)</option>
            <option value="19">UTF-8</option>
            <option value="20">No Charset</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>Service Type</th>
        <td>
          <select id="dvbServiceType" onchange="changeServiceType($(this));">
            <option value="1" selected="selected">Digital Television</option>
            <option value="2">Digital Audio Broadcast</option>
            <option value="3">Teletext</option>
            <option value="4">NVOD Reference</option>
            <option value="5">NVOD Time-shifted</option>
            <option value="6">Mosaic Service</option>
            <option value="7">PAL Coding Signal</option>
            <option value="8">SECAM Coding Signal</option>
            <option value="9">D/D2-MAC</option>
            <option value="10">Frequency Modulation</option>
            <option value="11">NTSC Signal</option>
            <option value="12">Data Broadcasting</option>
            <option value="13">Common Interface</option>
            <option value="14">RCS Map</option>
            <option value="15">RCS FLS</option>
            <option value="16">DVB MHPService</option>
            <option value="17">Custom</option>
          </select>
        </td>
      </tr>
      <tr id="customTypeTr" style="display: none;">
        <th>Custom Type</th>
        <td>
          <input type="text" id="customType" />
        </td>
      </tr>
      <tr>
        <th>Running Status</th>
        <td>
          <select id="runStatus">
            <option value="0">Undefined</option>
            <option value="1">Not Running</option>
            <option value="2">Begin after several seconds</option>
            <option value="3">Pause</option>
            <option value="4" selected="selected">Run</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>Encryption Status</th>
        <td>
          <select id="encryptStatus">
            <option value="0">Not Scrambled</option>
            <option value="1" selected="selected">Scrambled</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>EIT Schedule Flag</th>
        <td>
          <select id="scheduleFlag">
            <option value="0">0</option>
            <option value="1">1</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>EIT Present Following Flag</th>
        <td>
          <select id="followFlag">
            <option value="0">0</option>
            <option value="1">1</option>
          </select>
        </td>
      </tr>
    </table>
    <table id="atscInfo" class="fix_width" style="display: none;">
      <tr>
        <th width="240px">Service ID</th>
        <td class="header">
          <input type="text" id="atscServiceId" onchange="changeServiceId();" />
        </td>
      </tr>
      <tr>
        <th>Service Name</th>
        <td>
          <input type="text" id="atscServiceName" />
        </td>
      </tr>
      <tr>
        <th>Major Channel</th>
        <td>
          <input type="text" id="majorChannel" />
        </td>
      </tr>
      <tr>
        <th>Minor Channel</th>
        <td>
          <input type="text" id="minorChannel" />
        </td>
      </tr>
      <tr>
        <th>Channel TSID</th>
        <td>
          <input type="text" id="channelTsid" />
        </td>
      </tr>
      <tr>
        <th>Service Type</th>
        <td>
          <select id="atscServiceType">
            <option value="1" selected="selected">Analog Television</option>
            <option value="2">ATSC Digital Television</option>
            <option value="3">ATSC Audio</option>
            <option value="4">ATSC Data Only Service</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>Modulation Mode</th>
        <td>
          <select id="modulMode">
            <option value="1" selected="selected">Analog</option>
            <option value="2">SCTE_Mode_1</option>
            <option value="3">SCTE_Mode_2</option>
            <option value="4">ATSC(8 VSB)</option>
            <option value="5">ATSC(16 VSB)</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>Service Source</th>
        <td>
          <input type="text" id="serviceSource" />
        </td>
      </tr>
    </table>
  </div>
</div>
<div class="mainframe_button_bar">
  <div class="button_set_noalign">
    <input type="button" id="applyBtn" value="Apply" class="input_normal" onclick ="pageApply();" />
    <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="PageRefresh(BOTTOM);" />
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
