<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 网络管理系统</title>
<link rel="stylesheet" type="text/css" href="../style/simplemodal.css" />
<link rel="stylesheet" href="../style/common.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/port_backup.js"></script>
<script type="text/javascript">
var language = CHINESE;
</script>
<style type="text/css">
.button_area_width
{
	width: 234px;
}
table select
{
	width: 300px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">端口备份</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="添 加" class="input_normal" onclick="addBackup();" />
        <input type="button" id="deleteBtn" value="删 除" class="input_normal" onclick="deleteBackup();" />
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="dataTable">
      <tr>
        <th style="width:18px">
          <input type="checkbox" id="checkAll" onclick="checkAll(); "/>
        </th>
        <th style="width:40px">类型</th>
        <th style="width:40px">板卡</th>
        <th style="width:83px">端口</th>
        <th>描述</th>
        <th style="width:122px">复用码率范围 (Kbps)</th>
        <th style="width:85px">当前复用码率</th>
        <th style="width:75px">切换延时 (s)</th>
        <th style="width:68px">备份模式</th>
        <th style="width:68px">工作状态</th>
        <th style="width:40px">操作</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="mainDataRow0" class="mainCaseRow">
        <td rowspan="2">
          <input type="checkbox" id="check0" />
        </td>
        <td class="special">主路</td>
        <td><span id="mainCard0"></span></td>
        <td><span id="mainPort0"></span></td>
        <td><span id="mainDescription0"></span></td>
        <td><span id="mainMinRate0"></span>~<span id="mainMaxRate0"></span></td>
        <td><span id="mainCurRate0"></span></td>
        <td><span id="mainSwitchDelay0"></span></td>
        <td rowspan="2"><span id="backupMode0"></span></td>
        <td rowspan="2"><span id="workState0"></span></td>
        <td rowspan="2">
          <img id="modify0" src="../style/images/xiugai.png" class="img_hand" title="Edit" style="cursor:pointer" onclick="modifyBackup($(this))" />
        </td>
      </tr>
      <tr id="backupDataRow0" class="backupCaseRow">
        <td class="special">备路</td>
        <td><span id="backupCard0"></span></td>
        <td><span id="backupPort0"></span></td>
        <td><span id="backupDescription0"></span></td>
        <td><span id="backupMinRate0"></span>~<span id="backupMaxRate0"></span></td>
        <td><span id="backupCurRate0"></span></td>
        <td><span id="backupSwitchDelay0"></span></td>
      </tr>
    </table>
  </div>
  <div id="editBackup" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">添加/修改</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="240px">主路板卡</th>
        <td class="header">
          <select id="editMainCard" onchange="populateMainPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>主路端口</th>
        <td>
          <select id="editMainPort">
          </select>
        </td>
      </tr>
      <tr>
        <th>主路复用码率下限 (Kbps)</th>
        <td>
          <input type="text" id="editMainMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>主路复用码率上限 (Kbps)</th>
        <td>
          <input type="text" id="editMainMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>主备切换延时 (s)</th>
        <td>
          <input type="text" id="M2BSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>备路板卡</th>
        <td>
          <select id="editBackupCard" onchange="populateBackupPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>备路端口</th>
        <td>
          <select id="editBackupPort">
          </select>
        </td>
      </tr>
      <tr>
        <th>备路复用码率下限 (Kbps)</th>
        <td>
          <input type="text" id="editBackupMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>备路复用码率上限 (Kbps)</th>
        <td>
          <input type="text" id="editBackupMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>备主切换延时 (s)</th>
        <td>
          <input type="text" id="B2MSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>备份模式</th>
        <td>
          <select id="editBackupMode">
            <option value="1">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3" selected="selected">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="editBackuptBtn" value="应 用" class="input_normal" onclick="editBackupApply();" />
      <input type="button" id="cancelEditBackupBtn" value="取 消" class="input_normal" onclick="cancelEdit();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
