<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" type="text/css" href="../style/simplemodal.css" />
<link rel="stylesheet" href="../style/common.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/port_backup.js"></script>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
.button_area_width
{
	width: 234px;
}
table select
{
	width: 300px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Port Backup</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="Add" class="input_normal" onclick="addBackup();" />
        <input type="button" id="deleteBtn" value="Delete" class="input_normal" onclick="deleteBackup();" />
        <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="dataTable" style="word-break: break-all; word-wrap: break-all;">
      <tr>
        <th style="width:18px">
          <input type="checkbox" id="checkAll" onclick="checkAll(); "/>
        </th>
        <th>Type</th>
        <th>Card</th>
        <th>Port</th>
        <th>Description</th>
        <th style="width:110px;">Mux Bitrate Range (Kbps)</th>
        <th width="15%">Current Mux Bitrate</th>
        <th style="width:100px;">Switch Delay(s)</th>
        <th>Backup Mode</th>
        <th style="width:55px;">Work<br />Status</th>
        <th style="width:60px;">Operation </th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="mainDataRow0" class="mainCaseRow">
        <td rowspan="2">
          <input type="checkbox" id="check0" />
        </td>
        <td class="special">Main</td>
        <td><span id="mainCard0"></span></td>
        <td><span id="mainPort0"></span></td>
        <td><span id="mainDescription0"></span></td>
        <td><span id="mainMinRate0"></span>~<span id="mainMaxRate0"></span></td>
        <td><span id="mainCurRate0"></span></td>
        <td><span id="mainSwitchDelay0"></span></td>
        <td rowspan="2"><span id="backupMode0"></span></td>
        <td rowspan="2"><span id="workState0"></span></td>
        <td rowspan="2">
          <img id="modify0" src="../style/images/xiugai.png" class="img_hand" title="Edit" style="cursor:pointer" onclick="modifyBackup($(this))" />
        </td>
      </tr>
      <tr id="backupDataRow0" class="backupCaseRow">
        <td class="special">Backup</td>
        <td><span id="backupCard0"></span></td>
        <td><span id="backupPort0"></span></td>
        <td><span id="backupDescription0"></span></td>
        <td><span id="backupMinRate0"></span>~<span id="backupMaxRate0"></span></td>
        <td><span id="backupCurRate0"></span></td>
        <td><span id="backupSwitchDelay0"></span></td>
      </tr>
    </table>
  </div>
  <div id="editBackup" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Add/Modify</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="240px">Main Card</th>
        <td class="header">
          <select id="editMainCard" onchange="populateMainPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>Main Port</th>
        <td>
          <select id="editMainPort">
          </select>
        </td>
      </tr>
      <tr>
        <th>Main Bitrate Lower Limit(Kbps)</th>
        <td>
          <input type="text" id="editMainMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>Main Bitrate Upper Limit (Kbps)</th>
        <td>
          <input type="text" id="editMainMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>M-B Switching Delay (s)</th>
        <td>
          <input type="text" id="M2BSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>Backup Card</th>
        <td>
          <select id="editBackupCard" onchange="populateBackupPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>Backup Port</th>
        <td>
          <select id="editBackupPort">
          </select>
        </td>
      </tr>
      <tr>
        <th>Backup Bitrate Lower Limit (Kbps)</th>
        <td>
          <input type="text" id="editBackupMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>Backup Bitrate Upper Limit (Kbps)</th>
        <td>
          <input type="text" id="editBackupMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>B-M Switching Delay (s)</th>
        <td>
          <input type="text" id="B2MSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>Backup Mode</th>
        <td>
          <select id="editBackupMode">
            <option value="1">Assign Main</option>
            <option value="2">Assign Backup</option>
            <option value="3" selected="selected">Main Priority</option>
            <option value="4">One Way Switch</option>
            <option value="5">Floating</option>
          </select>
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="editBackuptBtn" value="Apply" class="input_normal" onclick="editBackupApply();" />
      <input type="button" id="cancelEditBackupBtn" value="Cancel" class="input_normal" onclick="cancelEdit();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
